﻿html, body, div, span, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, abbr, code, em, img, small, strong, sub, sup, ol, ul, li, fieldset, form, label, legend, table, tbody, tfoot, thead, tr, th, td, article, aside, footer, header, nav, section, time, audio, video { padding: 0; border: 0; margin: 0; background: transparent; font-size: 100%; font-weight: inherit; vertical-align: baseline; } article, aside, figure, footer, header, nav, section { display: block; } html { box-sizing: border-box; overflow-y: scroll; } *, *::before, *::after { box-sizing: inherit; } img, object { max-width: 100%; } ul { list-style: none; } table { border-collapse: collapse; border-spacing: 0; } th { font-weight: bold; vertical-align: bottom; } td { font-weight: normal; vertical-align: top; } input, select { vertical-align: middle; } input[type='radio'] { vertical-align: text-bottom; } input[type='checkbox'] { vertical-align: bottom; } strong { font-weight: bold; } label, input[type='file'] { cursor: pointer; } input, select, textarea { border: 0; margin: 0; } button, input[type='button'], input[type='submit'] { padding: 0; border: 0; border-radius: 0; margin: 0; background: transparent; cursor: pointer; } button::-moz-focus-inner { padding: 0; border: 0; }

*, *::before, *::after, *:before, *:after, *:focus, *:active{
    box-sizing: border-box;
    outline: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -ms-interpolation-mode: bicubic;
}

@font-face {
    font-family: 'Hanken Sans';
    src: url('HankenSans-Medium.woff2') format('woff2'),
        url('HankenSans-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Hanken Sans';
    src: url('HankenSans-Bold.woff2') format('woff2'),
        url('HankenSans-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Hanken Sans';
    src: url('HankenSans-Light.woff2') format('woff2'),
        url('HankenSans-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
}


body{
    color: #FFF;
    font-family: "Hanken Sans";
    font-size: 18px;
    font-weight: 300;
	overflow: hidden;
    text-shadow: 0 4px 10px rgba(52,81,113,0.40);
}

.Site{
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    background-image: linear-gradient(-135deg, #8269F0 0%, #292FF4 100%);
}

.Site::after{
    content: "";
    background: url(noise.png);
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0; 
    z-index: 0;
}

main{
    position: relative;
    z-index: 1;
    text-align: center;
    padding: 40px;
}

h1{
    font-size: 64px;
    line-height: 1.2;
    font-weight: 700;
    color: #FEA2FE;
    margin-bottom: 20px;
}

h2{
    font-size: 20px;
    line-height: 1.2;
    font-weight: 300;
    letter-spacing: 0.4em;
    margin-bottom: 55px;
    text-transform: uppercase;
}

p{
    line-height: 28px;
}

a, a:visited{
    position: relative;
    display: inline-block;
    font-weight: 500;
    color: #FFF;
    text-decoration: none;
    padding: 0 5px;
    overflow: hidden;
    line-height: 28px;
    vertical-align: top;
    padding-bottom: 2px;
    transition: color 0.3s linear;
}

a::before{
    content: "";
    position: absolute;
    z-index: -1;
    top: 2px; bottom: 0;
    left: 0;
    width: 100%;
    background: #FEA2FE;
    opacity: 1;
    transform: translateX(-105%);
    transition: all 0.6s cubic-bezier(0.86, 0, 0.07, 1);
}
a:hover::before{
    transform: translateX(60%);
}

@media (max-width: 767px) {
    body{
        font-size: 14px;
    }
    main{
        padding: 20px;
    }
    h1{
      font-size: 34px;
    }
    h2{
      font-size: 14px;
      margin-bottom: 40px;
      letter-spacing: 0.3em;
    }
}